<template>
  <v-toolbar dark>
    <v-toolbar-title>
      <v-toolbar-side-icon @click="toggleNavigationBar"></v-toolbar-side-icon>
    </v-toolbar-title>
    <v-btn v-bind:to="'/'">
      <v-toolbar-title class="white--text">whynot</v-toolbar-title>
    </v-btn>
    <v-spacer></v-spacer>
    <v-btn v-if="!is_auth" v-bind:to="'/login'">
      <v-icon>lock</v-icon>
      Войти
    </v-btn>
    <v-btn v-if="is_auth" v-on:click="logout">
      <v-icon>lock_open</v-icon>
      Выйти
    </v-btn>
    <v-btn v-if="is_auth" v-bind:to="'/dashboard'">
      <v-icon>dashboard</v-icon>
      Панель Управления
    </v-btn>
    <v-btn v-if="showBackBtn()" v-bind:to="'/'">
      <v-icon>arrow_back</v-icon>
      Все записи
    </v-btn>
  </v-toolbar>
</template>

<script>
  export default {
    data() {
      return {
        is_auth: localStorage.getItem('loggedInStorage')
      }
    },
    methods: {
      toggleNavigationBar() {
        const vm = this;

        vm.$emit('toggleNavigationBar');
      },
      showBackBtn() {
        return this.$route.path.includes('post')
      },
      logout() {
        if (this.is_auth) {
          this.$store.commit('logout');
          localStorage.removeItem("loggedInStorage");
          localStorage.removeItem("profileStorage");
          this.is_auth = false
          console.log('Logged out, ', this.is_auth)
          this.$router.push({name: 'home'})
        }
      },
    }
  }
</script>
